Test Groups

Get a test group

Returns a test group.

GET /api/public/v1/test-groups/{groupId}

Get a test group

curl --request GET \
  --url 'https://api.buildprint.ai/api/public/v1/test-groups/{GROUPID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "<string>",
  "createdAt": 1,
  "name": "<string>",
  "description": "<string>",
  "testCount": 1,
  "updatedAt": 1,
  "projectId": "<string>",
  "archivedAt": 1,
  "members": [
    {
      "membershipId": "<string>",
      "testId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "liveTestUserId": "<string>",
      "testVersionTestUserId": "<string>",
      "updatedAt": 1
    }
  ]
}

Group found

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Path Parameters

  • groupId string required

    Group ID.

Response

application/json
  • id string

    Opaque identifier for this resource.

  • createdAt number

    Unix timestamp in milliseconds when the resource was created.

  • name string

    Human-readable name for the resource.

  • description string | null

    Human-readable description for the resource.

  • testCount number

    Number of tests currently in the group.

  • updatedAt number

    Unix timestamp in milliseconds when the resource was last updated.

  • projectId string

    Opaque identifier for the workspace project.

  • archivedAt number | null

    Unix timestamp in milliseconds when the resource was archived, if archived.

  • members[] object array

    Tests in the group.

    + Show Child Attributes
    • membershipId string

      Opaque identifier for the group membership record.

    • testId string

      Opaque identifier for the project test definition.

    • name string

      Human-readable name for the resource.

    • description string | null

      Human-readable description for the resource.

    • liveTestUserId string | null

      Project test user assigned when the test runs against live data.

    • testVersionTestUserId string | null

      Project test user assigned when the test runs against test data.

    • updatedAt number

      Unix timestamp in milliseconds when the resource was last updated.